import D3Chart from '../D3Chart';
import { ChartOpts } from '../interface';
import { Legend } from '../common';
export interface MutiHorzontalOptions extends ChartOpts {
    labelField: string;
    valueFields: string[];
    labels: string[];
    doubleCancel?: boolean;
    maxCount?: number;
    legend?: {
        show: boolean;
        width?: number;
    };
}
export default class extends D3Chart<MutiHorzontalOptions> {
    __ClassName: string;
    __Grid: {
        top: number;
        left: number;
        right: number;
        bottom: number;
    };
    min: number;
    max: number;
    maxCount: number;
    widthScale: any;
    heightScale: any;
    legend: Legend;
    SelectedKeys: string[];
    keyMap: Map<any, any>;
    currentIndex: number;
    sort(): void;
    resize(): void;
    build(): void;
    updateLegend(): void;
    getIndex(key: string): any;
    update(): void;
}
